summaryrefslogtreecommitdiffstats
path: root/import
diff options
context:
space:
mode:
Diffstat (limited to 'import')
-rw-r--r--import/import-batch.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/import/import-batch.sh b/import/import-batch.sh
new file mode 100644
index 0000000..d15060f
--- /dev/null
+++ b/import/import-batch.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+if [ "$#" -lt 1 ]
+then
+ echo "You need to supply a folder for import!"
+ exit 1
+fi
+
+find $1 -name "*.json" -type f | while read line
+do
+ echo "Processing $line"
+ ../../bin/python3 import.py "$line"
+done